import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function nois_PaintMain(player) {
    let npm = new ActionFormData()
    npm.title("Noise Texture List")
    npm.button("Other World", "textures/blocks/grass_side_carried")
    npm.button("Nether", "textures/blocks/netherrack")
    
    /*
    deepslate_tiles
    end_stone
    end_bricks
    mud
    mud_bricks
    packet_mud
    netherrack
    crimson_hyphae
    nethe_wart
    stripped_warped_hyphae
    warped_hyphae
    warped_wart_block
    */

    npm.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                noiseOther(player)
                break
        }

    })
}

export function noiseOther(player) {
    let no = new ActionFormData()
    no.title("Noise Texture List")
    no.button("Stone", "textures/blocks/stone")
    no.button("Glass", "textures/blocks/glass")
    no.button("Grass", "textures/blocks/grass_side_carried")
    no.button("Moss Block", "textures/blocks/moss_block")
    no.button("Mossy Cobblestone", "textures/blocks/cobblestone_mossy")
    no.button("Cobblestone", "textures/blocks/cobblestone")

    no.show(player).then((r) => {
        if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.stone")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.glass")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.grass")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.moss")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.mossCobble")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add noise.Cobble")
                break
        }
    })
}