import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function replaceSandTo(player) {
    let rsn = new ActionFormData
    rsn.title("List Of Replacements")
    rsn.body("Sand to...")
    rsn.button("Grass", "textures/blocks/grass_side_carried")
    rsn.button("Stone", "textures/blocks/stone")
    rsn.button("Snow", "textures/blocks/snow")
    rsn.button("Netherrack", "textures/blocks/netherrack")

    rsn.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add sand_grass.replacing")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add sand_stone.replacing")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add sand_snow.replacing")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add sand_netherrack.replacing")
                break
        }
    })
}