import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function repStoneMain(player) {
    let rst = new ActionFormData

    rst.title("List Of Replacements")
    rst.body("Stones to...")
    rst.button("Grass", "textures/blocks/grass_side_carried")
    rst.button("Sand", "textures/blocks/sand")
    rst.button("Gravel", "textures/blocks/gravel")
    rst.button("Snow", "textures/blocks/snow")
    rst.button("Smooth Quartz", "textures/blocks/quartz_block_side")
    rst.button("Netherrack", "textures/blocks/netherrack")
    rst.button("End stone", "textures/blocks/end_stone")
    rst.button("Stones", "textures/blocks/stone")
    rst.button("Terracotta", "textures/blocks/hardened_clay")
    rst.button("Moss", "textures/blocks/moss_block")

    rst.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add stone_to_grass.replacing")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add stone_to_sand.replace")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_gravel.replace")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_snow.replace")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_quartz.replace")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_netherrack.replace")
                break
            case 6:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_endstone.replace")
                break
            case 7:
                repStoneToStone(player)
                break
            case 8: 
                player.runCommandAsync("tag @e[type=st:stbrush, r=25] add st:stone_to_terracotta.replace")
                break
            case 9:
                player.runCommandAsync("tag @e[type=st:stbrush, r=30] add st:stone_to_moss.replace")
                break
        }
    })
}

export function repStoneToStone(player) {
    let rst = new ActionFormData

    rst.title("List Of Replacements")
    rst.body("Stone to...")
    rst.button("Deepslate", "textures/blocks/deepslate/deepslate")
    rst.button("Cobblestone", "textures/blocks/cobblestone")
    rst.button("Andesite", "textures/blocks/stone_andesite")
    rst.button("Granite", "textures/blocks/stone_granite")
    rst.button("Diorite", "textures/blocks/stone_diorite")

    rst.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_deepslate.replace")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_cobblestone.replace")
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_andesite.replace")
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_granite.replace")
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add st:stone_to_diorite.replace")
        }
    })
}