import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function mainErase(player) {
    let er = new ActionFormData
    er.title("Eraser Menu")
    er.button("Everything", "textures/items/feather")
    er.button("Trees", "textures/blocks/log_oak")
    er.button("Water", "textures/blocks/water_placeholder")
    er.button("Lava", "textures/blocks/lava_placeholder")
    er.button("Flowers", "textures/blocks/flower_tulip_red")
    er.button("Sand", "textures/blocks/sand")

    er.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add STair")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.log")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.water.eraser")
                break
            case 3:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.lava.eraser")
                break
            case 4:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.flowers.eraser")
                break
            case 5:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.sand.eraser")
                break
        }
    })
}


//menu.langcode.eraser_everything=Erase: Everything
//menu.langcode.eraser_trees=Erase: Trees
//menu.langcode.eraser_water=Erase: Water
//menu.langcode.eraser_lava=Erase: Lava
//menu.langcode.eraser_flowers=Erase: Flowers
//menu.langcode.erase_sand=Erase: Sand