import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function nether_paints(player){ 
	let pa = new ActionFormData()
	pa.title("List Of Paints")
    pa.body("Nether")
	pa.button("Netherrack", "textures/blocks/netherrack")
	pa.button("Soul Sand", "textures/blocks/soul_sand")
	pa.button("Soul Soil", "textures/blocks/soul_soil")
	pa.button("Magma", "textures/blocks_nv/magma")
	pa.button("Blackstone", "textures/blocks/blackstone")

	pa.show(player).then((r) => {
		if (r.canceled) return
        let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=36] add st.pait.netherrack")
                break
            case 1:
                player.runCommandAsync('tag @e[type=st:stbrush, r=36] add st.pait.soul_sand')
                break
            case 2:
                player.runCommandAsync('tag @e[type=st:stbrush, r=36] add st.pait.soul_soil')
                break
            case 3:
                player.runCommandAsync('tag @e[type=st:stbrush, r=36] add st.pait.magma')
                break
            case 4:
                player.runCommandAsync('tag @e[type=st:stbrush, r=36] add st.pait.blackstone')
                break
                default: break
        }
	})
}