import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function replaceGrassTo(player) {
    let rgs = new ActionFormData

    rgs.title("List Of Replacements")
    rgs.body("Grass to...")
    rgs.button("Stone", "textures/blocks/stone")
    rgs.button("Sand", "textures/blocks/sand")
    rgs.button("Moss", "textures/blocks/moss_block")

    rgs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add grass_stone.replacing")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add grass_sand.replacing")
                break
            case 2:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add grass_moss.replacing")
        }
    })
}