import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function replaceMossTo(player) {
    let rgs = new ActionFormData

    rgs.title("List Of Replacements")
    rgs.body("Moss to...")
    rgs.button("Stone", "textures/blocks/stone")
    rgs.button("Grass", "textures/blocks/grass_side_carried")

    rgs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add mossTo.stone.replace")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add mossTo.grass.raplace")
        }
    })
}