import {ActionFormData, MessageFormData, ModalFormData} from '@minecraft/server-ui'

export function roadsMain(player) {
    let rgs = new ActionFormData

    rgs.title("List Of Replacements")
    rgs.body("Roads & Paths \n§4§lCAREFULLY:§r§f The radius of the road CANNOT be changed")
    rgs.button("Roads")
    rgs.button("Paths")

    rgs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                roads(player)
                break
            case 1:
                path(player)
                break
        }
    })
}

export function roads(player) {
    let rgs = new ActionFormData
    rgs.title("List Of Replacements")
    rgs.body("Roads \n§4§lCAREFULLY:§r§f The radius of the road CANNOT be changed. ANY ROAD REPLACES ONLY SAND!!!")
    rgs.button("Medieval")

    rgs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
               player.runCommandAsync("tag @e[type=st:stbrush, r=32] add medieval_roads.replacing")
                break
        }
    })
}

export function path(player) {
    let rgs = new ActionFormData
    rgs.title("List Of Replacements")
    rgs.body("Path")
    rgs.button("With Stone")
    rgs.button("Without Stone")

    rgs.show(player).then((r) => {
        if (r.canceled) return
	    let sel = r.selection

        switch (sel) {
            case 0:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add grass_path.replacing")
                break
            case 1:
                player.runCommandAsync("tag @e[type=st:stbrush, r=32] add grass_path_withoutstone.replacing")
        }
    })
}